package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazCountMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazCount;
import com.goldenwater.slaj.hazard.service.ITBusiHazCountService;

/**
 * 危险源统计 服务层实现
 */
@Service
public class TBusiHazCountServiceImpl implements ITBusiHazCountService {

    @Autowired
    private TBusiHazCountMapper tBusiHazCountMapper;

    /**
     * 查询危险源统计信息
     * @param guid 查询条件
     * @return 危险源统计信息
     */
    @Override
    public TBusiHazCount selectTBusiHazCountByGuid(String guid) {
        return tBusiHazCountMapper.selectTBusiHazCountByGuid(guid);
    }

    /**
     * 查询危险源统计列表
     * @param tBusiHazCount 危险源统计查询条件
     * @return 危险源统计集合
     */
    @Override
    public List<TBusiHazCount> selectTBusiHazCountList(TBusiHazCount tBusiHazCount) {
        return tBusiHazCountMapper.selectTBusiHazCountList(tBusiHazCount);
    }

    /**
     * 新增危险源统计
     * @param tBusiHazCount 危险源统计信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazCount(TBusiHazCount tBusiHazCount) {
        return tBusiHazCountMapper.insertTBusiHazCount(tBusiHazCount);
    }

    /**
     * 修改危险源统计
     * @param tBusiHazCount 危险源统计信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazCount(TBusiHazCount tBusiHazCount) {
        return tBusiHazCountMapper.updateTBusiHazCount(tBusiHazCount);
    }

    /**
     * 删除危险源统计
     * @param guid 危险源统计主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazCountByGuid(String guid) {
        return tBusiHazCountMapper.deleteTBusiHazCountByGuid(guid);
    }

    /**
     * 批量删除危险源统计
     * @param guids 危险源统计主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazCountByGuids(String[] guids) {
        return tBusiHazCountMapper.deleteTBusiHazCountByGuids(guids);
    }
}
